"Clear Log" should actually remove entries from memory
Status: Closed Start date: 2014-11-20
Priority: Normal % Done: 100%
Assignee: skyjake

Category: User experience

Target version: 1.15

Description

The 'Clear Log' taskbar button no longer functions correctly in the latest unstable (1416); it merely makes the log instantly close,
rather than emptying it's content.

Associated revisions

Revision 057a5b8f - 2014-11-23 13:51 - skyjake

Ul|Client|Console: "Clear Log" should actually remove all entries

"Clear Log" will now erase entries from memory instead of simply
reducing the log height to zero.

Note that log height is reduced automatically to zero when the log
is closed and opened.

IssuelD #1903

History

#1 - 2014-11-20 08:26 - skyjake

- Tags set to Ul, Client, Console, TaskBar
- Category set to Regression

- Status changed from New to In Progress
- Assignee set to skyjake

- Target version set to 49

#2 - 2014-11-23 11:21 - skyjake

- Tracker changed from Bug to Feature

- Subject changed from Clear Log button no longer functions to "Clear Log" should actually remove entries from memory
- Category changed from Regression to User experience

- Target version changed from 49 to 1.15

#3 - 2014-11-23 11:23 - skyjake

The behavior of "Clear Log" has been to just reset the history widget height to zero ever since the task bar was introduced. However, it would be more
helpful to actually remove the entries from memory (everything still stays in the log file, of course).

#4 - 2014-11-23 13:51 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
